UpdateAlertRule
ListRules removed: use RuleManagementService.ListRulesFiltered instead. Update an existing alert rule with partial or full field changes
PUT
/api/v1/alerting/rules/{ruleUuid}Operation ID
UpdateAlertRuleSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
ruleUuidStringRequiredUUID of the alert rule to update
Body Fields
nameStringRequiredNew name for the alert rule
Example: Updated CPU Alert
descriptionStringRequiredNew description for the rule
Example: Updated alert description
operatorStringRequiredNew comparison operator
Example: >
thresholdLongRequiredNew threshold value
Example: 85
durationIntegerRequiredNew duration in seconds
Example: 300
